Hello,
i want to create a macro that change the size of character coasts and arrows of quotation in a Drawing view.
i don't know how to start my essay!! :/
Thank you.
Hi!
I developed a macro that select a hole! then make a point center of that hole!!
Dim productDocument1 As Document
Set productDocument1 = CATIA.ActiveDocument
Dim product1 As Product
Set product1 = productDocument1.Product
Dim selection1
Set selection1 = productDocument1.Selection
Dim...
Hi!!!
I'm having some trouble getting update to work the way I'm expecting it to.
Dim productDocument1 As Document
Set productDocument1 = CATIA.ActiveDocument
Dim product1 As Product
Set product1 = productDocument1.Product
Dim partDocument1 As Document
Set partDocument1 =...
hello!
I want to create a macro that gets the coordinates of a point (cercle origin), belonging in a part1, in the axis system of a second part (part2)!
TH U
Bonjour!! [ponytails2]
I have a problem with reference of selection!!
MsgBox "select a hole"
Dim InputObjectType(0), Status1
InputObjectType(0)="Hole"
Status1=selection1.SelectElement2(InputObjectType,"Select a hole",false)
If Status1 = "Cancel" Then selection1.Clear: Exit Sub
Dim...
hello everybody!
I tried to create a macro that give me the origin of a selected cercle!
MsgBox "selectionnez un trou"
Dim InputObjectType(0), Status1
InputObjectType(0)="Hole"
Status1=selection1.SelectElement2(InputObjectType,"Select un trou",false)
If Status1 = "Cancel" Then...
hi!
i want to create a macro that select a hole in a product
i developed this macro
MsgBox "selectionnez un trou"
Dim InputObjectType(0), Status1
InputObjectType(0)="Hole"
Status1=selection1.SelectElement2(InputObjectType,"Select un trou",false)
If Status1 = "Cancel" Then selection1.Clear...
Hello world
i have an issue, hope you can help me with this
in a CATIAProduct, i want to create a macro that gets the minimal distance between a point and a part!
How can I do that!
thx you
Hi everybody
I want to copy a shape (a point, a line...) from one part to another, with a PastSpecial as a result!
is it possible?
I tried to do somethin like that! but i failed
Dim productDocument1 As Document
Set productDocument1 = CATIA.ActiveDocument
Dim selection1 As Selection
Set...
hi!
I want to create a macro that copy a point
named "pt1" from an hybridbody1 to another hybridbody2
when i record a macro of this action:
Sub CATMain()
Dim productDocument1 As Document
Set productDocument1 = CATIA.ActiveDocument
Dim documents1 As Documents
Set documents1 =...
Hello world!!
I want to create a macro that extract a point coordinates in a CATpart, so i used the "GetCoordiantes" command
subsequently, I want to modify its coordinates! and i doubt if i use "SetCoordiantes" or not!
and how can i use this command!
thx a lot :)
Hello world!
I need to create a CATIA macro that create a drawing from a product automatically!
I already began this macro and i created the front view
Dim documents1 As Documents
Set documents1 = CATIA.Documents
Dim drawingDocument1 As Document
Set drawingDocument1 = documents1.Add("Drawing")...
Hello world!
I want to create a msgbox that contains yes or no buttons
MsgBox "yes or no?" , vbYesNo + vbQuestion, "Vérification")
but the problem is how to get the answer! ie if the user select "yes" then continue if "no" an other msgbox to enter the right answer is displayed
thx a lot :)
Hello World!
I want to create a user property that gets the creation date of the product! from the system
Dim parameters3 As Parameters
Set parameters3 = product1.UserRefProperties
Dim strParam3 As StrParam
Set strParam3 = parameters1.CreateString("Date creation", "")
Can anyone please help...
Hello world!
I want to extract a string from an other
for example dossier1\dossier2...\123-Mayrou\forum
for that I used SPLIT to extract "mayrou"
mayrou =Right(Split(productDocument1.Path,"\")(2),4)
Anybody please correct it.
Thanks in advance :)